<?php
include 'connect.php';
session_start();

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $email = $_POST['email'];
    $password = $_POST['password'];

    $stmt = $conn->prepare("SELECT * FROM users WHERE email = ?");
    $stmt->execute([$email]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($user && password_verify($password, $user['password'])) {
        $_SESSION['user_id'] = $user['id'];
        header("Location: index.php");
    } else {
        echo "อีเมลหรือรหัสผ่านไม่ถูกต้อง!";
    }
}
?>
<form method="post">
    อีเมล: <input type="email" name="email" required>
    รหัสผ่าน: <input type="password" name="password" required>
    <button type="submit">เข้าสู่ระบบ</button>
</form>
